Record a canned multi-span support conversation on an instance
POST /api/v1/playground/record_customer_support_spans
POST
/api/v1/playground/record_customer_support_spans
Authorizations
Section titled “Authorizations ”Request Body
Section titled “Request Body ” AgentInstance_Id
A valid agent instance ID
string
Example
013xrzp12g3nqk8ns6jadrqmpgrjkenyResponses
Section titled “ Responses ”Success
object
span_details
Array<object>
AgentSpan_Detailsobject
account_id
Account_Id
A valid account ID
string
Example
013xrzp12g3nqk8ns6jadrqmpgrjkeny agent_id
Agent_Id
A valid agent ID
string
Example
013xrzp12g3nqk8ns6jadrqmpgrjkeny agent_instance_id
AgentInstance_Id
A valid agent instance ID
string
Example
013xrzp12g3nqk8ns6jadrqmpgrjkeny finished_at
id
AgentSpan_Id
A valid agent span ID
string
Example
013xrzp12g3nqk8ns6jadrqmpgrjkeny parent_span_id
One of:
AgentSpan_Id
A valid agent span ID
string
Example
013xrzp12g3nqk8ns6jadrqmpgrjkeny Null
Null
string
payload
Span payload data (arbitrary JSON object)
object
key
additional properties
any
result_payload
schema_name
Name of the schema for this span
string
Example
llm schema_title
Human-readable title for the schema (from JSON schema, defaults to schema_name)
string
Example
LLM started_at
status
Status of the span: ‘pending’ (not started), ‘active’ (started but not finished), ‘complete’ (finished successfully), ‘failed’ (ended with failure), or ‘cancelled’ (never started, cancelled)
string
Example
active summary
type
Type of resource (always ‘agent_span’)
string
Example
agent_span status
string
Example
successdefault
Section titled “default ”Error
One of:
object
code
string
Example
bad_request message
string
status
string
Example
errorobject
code
string
Example
validation_errors errors
message
string
status
string
Example
error